Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.provider
Class MetaABMActItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.act.util.MetaABMActAdapterFactory
              org.metaabm.act.provider.MetaABMActItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMActItemProviderAdapterFactory

extends org.metaabm.act.util.MetaABMActAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

Constructor Summary
`MetaABMActItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createAAllAdapter()` This creates an adapter for a `AAll`.
`org.eclipse.emf.common.notify.Adapter` | `createAAnyAdapter()` This creates an adapter for a `AAny`.
`org.eclipse.emf.common.notify.Adapter` | `createABuildAdapter()` This creates an adapter for a `ABuild`.
`org.eclipse.emf.common.notify.Adapter` | `createABuildGeographyAdapter()` This creates an adapter for a `ABuildGeography`.
`org.eclipse.emf.common.notify.Adapter` | `createABuildGridAdapter()` This creates an adapter for a `ABuildGrid`.
`org.eclipse.emf.common.notify.Adapter` | `createABuildNetworkAdapter()` This creates an adapter for a `ABuildNetwork`.
`org.eclipse.emf.common.notify.Adapter` | `createABuildSpaceAdapter()` This creates an adapter for a `ABuildSpace`.
`org.eclipse.emf.common.notify.Adapter` | `createACauseAdapter()` This creates an adapter for a `ACause`.
`org.eclipse.emf.common.notify.Adapter` | `createAConnectAdapter()` This creates an adapter for a `AConnect`.
`org.eclipse.emf.common.notify.Adapter` | `createACreateAgentsAdapter()` This creates an adapter for a `ACreateAgents`.
`org.eclipse.emf.common.notify.Adapter` | `createACreateShapedAgentsAdapter()` This creates an adapter for a `ACreateShapedAgents`.
`org.eclipse.emf.common.notify.Adapter` | `createADieAdapter()` This creates an adapter for a `ADie`.
`org.eclipse.emf.common.notify.Adapter` | `createADiffuseAdapter()` This creates an adapter for a `ADiffuse`.
`org.eclipse.emf.common.notify.Adapter` | `createADisconnectAdapter()` This creates an adapter for a `ADisconnect`.
`org.eclipse.emf.common.notify.Adapter` | `createAEvaluateAdapter()` This creates an adapter for a `AEvaluate`.
`org.eclipse.emf.common.notify.Adapter` | `createAGroupAdapter()` This creates an adapter for a `AGroup`.
`org.eclipse.emf.common.notify.Adapter` | `createAInitializeAdapter()` This creates an adapter for a `AInitialize`.
`org.eclipse.emf.common.notify.Adapter` | `createAInputAdapter()` This creates an adapter for a `AInput`.
`org.eclipse.emf.common.notify.Adapter` | `createALeaveAdapter()` This creates an adapter for a `ALeave`.
`org.eclipse.emf.common.notify.Adapter` | `createALiteralAdapter()` This creates an adapter for a `ALiteral`.
`org.eclipse.emf.common.notify.Adapter` | `createALoadAgentsAdapter()` This creates an adapter for a `ALoadAgents`.
`org.eclipse.emf.common.notify.Adapter` | `createALoadShapedAgentsAdapter()` This creates an adapter for a `ALoadShapedAgents`.
`org.eclipse.emf.common.notify.Adapter` | `createAMethodAdapter()` This creates an adapter for a `AMethod`.
`org.eclipse.emf.common.notify.Adapter` | `createAMoveAdapter()` This creates an adapter for a `AMove`.
`org.eclipse.emf.common.notify.Adapter` | `createAMultiValueAdapter()` This creates an adapter for a `AMultiValue`.
`org.eclipse.emf.common.notify.Adapter` | `createANoneAdapter()` This creates an adapter for a `ANone`.
`org.eclipse.emf.common.notify.Adapter` | `createAPerformAdapter()` This creates an adapter for a `APerform`.
`org.eclipse.emf.common.notify.Adapter` | `createAQueryAdapter()` This creates an adapter for a `AQuery`.
`org.eclipse.emf.common.notify.Adapter` | `createAReplaceAdapter()` This creates an adapter for a `AReplace`.
`org.eclipse.emf.common.notify.Adapter` | `createARuleAdapter()` This creates an adapter for a `ARule`.
`org.eclipse.emf.common.notify.Adapter` | `createAScheduleAdapter()` This creates an adapter for a `ASchedule`.
`org.eclipse.emf.common.notify.Adapter` | `createASelectAdapter()` This creates an adapter for a `ASelect`.
`org.eclipse.emf.common.notify.Adapter` | `createASetAdapter()` This creates an adapter for a `ASet`.
`org.eclipse.emf.common.notify.Adapter` | `createAWatchAdapter()` This creates an adapter for a `AWatch`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.act.util.MetaABMActAdapterFactory
`createAAccessorAdapter, createAActAdapter, createABuildProjectionAdapter, createACommandAdapter, createAControlAdapter, createAdapter, createALogicAdapter, createANetworkAdapter, createARootAdapter, createAShapedAdapter, createASinkAdapter, createATransformAdapter, createEObjectAdapter, createIActAdapter, createIIDAdapter, createIValueAdapter, createSNamedAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### MetaABMActItemProviderAdapterFactory

    public MetaABMActItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAInputAdapter

    public org.eclipse.emf.common.notify.Adapter createAInputAdapter()

  This creates an adapter for a `AInput`.

  Overrides:
    `createAInputAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createALiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createALiteralAdapter()

  This creates an adapter for a `ALiteral`.

  Overrides:
    `createALiteralAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAMultiValueAdapter

    public org.eclipse.emf.common.notify.Adapter createAMultiValueAdapter()

  This creates an adapter for a `AMultiValue`.

  Overrides:
    `createAMultiValueAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createAGroupAdapter()

  This creates an adapter for a `AGroup`.

  Overrides:
    `createAGroupAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAScheduleAdapter

    public org.eclipse.emf.common.notify.Adapter createAScheduleAdapter()

  This creates an adapter for a `ASchedule`.

  Overrides:
    `createAScheduleAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createARuleAdapter

    public org.eclipse.emf.common.notify.Adapter createARuleAdapter()

  This creates an adapter for a `ARule`.

  Overrides:
    `createARuleAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createABuildAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildAdapter()

  This creates an adapter for a `ABuild`.

  Overrides:
    `createABuildAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAInitializeAdapter

    public org.eclipse.emf.common.notify.Adapter createAInitializeAdapter()

  This creates an adapter for a `AInitialize`.

  Overrides:
    `createAInitializeAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAMethodAdapter

    public org.eclipse.emf.common.notify.Adapter createAMethodAdapter()

  This creates an adapter for a `AMethod`.

  Overrides:
    `createAMethodAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAAnyAdapter

    public org.eclipse.emf.common.notify.Adapter createAAnyAdapter()

  This creates an adapter for a `AAny`.

  Overrides:
    `createAAnyAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAAllAdapter

    public org.eclipse.emf.common.notify.Adapter createAAllAdapter()

  This creates an adapter for a `AAll`.

  Overrides:
    `createAAllAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createANoneAdapter

    public org.eclipse.emf.common.notify.Adapter createANoneAdapter()

  This creates an adapter for a `ANone`.

  Overrides:
    `createANoneAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createAQueryAdapter()

  This creates an adapter for a `AQuery`.

  Overrides:
    `createAQueryAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAEvaluateAdapter

    public org.eclipse.emf.common.notify.Adapter createAEvaluateAdapter()

  This creates an adapter for a `AEvaluate`.

  Overrides:
    `createAEvaluateAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAWatchAdapter

    public org.eclipse.emf.common.notify.Adapter createAWatchAdapter()

  This creates an adapter for a `AWatch`.

  Overrides:
    `createAWatchAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createASetAdapter

    public org.eclipse.emf.common.notify.Adapter createASetAdapter()

  This creates an adapter for a `ASet`.

  Overrides:
    `createASetAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createACreateAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateAgentsAdapter()

  This creates an adapter for a `ACreateAgents`.

  Overrides:
    `createACreateAgentsAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createABuildNetworkAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildNetworkAdapter()

  This creates an adapter for a `ABuildNetwork`.

  Overrides:
    `createABuildNetworkAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createABuildSpaceAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildSpaceAdapter()

  This creates an adapter for a `ABuildSpace`.

  Overrides:
    `createABuildSpaceAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createABuildGeographyAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGeographyAdapter()

  This creates an adapter for a `ABuildGeography`.

  Overrides:
    `createABuildGeographyAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createABuildGridAdapter

    public org.eclipse.emf.common.notify.Adapter createABuildGridAdapter()

  This creates an adapter for a `ABuildGrid`.

  Overrides:
    `createABuildGridAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createASelectAdapter

    public org.eclipse.emf.common.notify.Adapter createASelectAdapter()

  This creates an adapter for a `ASelect`.

  Overrides:
    `createASelectAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAMoveAdapter

    public org.eclipse.emf.common.notify.Adapter createAMoveAdapter()

  This creates an adapter for a `AMove`.

  Overrides:
    `createAMoveAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createALeaveAdapter

    public org.eclipse.emf.common.notify.Adapter createALeaveAdapter()

  This creates an adapter for a `ALeave`.

  Overrides:
    `createALeaveAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createADieAdapter

    public org.eclipse.emf.common.notify.Adapter createADieAdapter()

  This creates an adapter for a `ADie`.

  Overrides:
    `createADieAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAConnectAdapter

    public org.eclipse.emf.common.notify.Adapter createAConnectAdapter()

  This creates an adapter for a `AConnect`.

  Overrides:
    `createAConnectAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createADisconnectAdapter

    public org.eclipse.emf.common.notify.Adapter createADisconnectAdapter()

  This creates an adapter for a `ADisconnect`.

  Overrides:
    `createADisconnectAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAReplaceAdapter

    public org.eclipse.emf.common.notify.Adapter createAReplaceAdapter()

  This creates an adapter for a `AReplace`.

  Overrides:
    `createAReplaceAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createACauseAdapter

    public org.eclipse.emf.common.notify.Adapter createACauseAdapter()

  This creates an adapter for a `ACause`.

  Overrides:
    `createACauseAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createADiffuseAdapter

    public org.eclipse.emf.common.notify.Adapter createADiffuseAdapter()

  This creates an adapter for a `ADiffuse`.

  Overrides:
    `createADiffuseAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createAPerformAdapter

    public org.eclipse.emf.common.notify.Adapter createAPerformAdapter()

  This creates an adapter for a `APerform`.

  Overrides:
    `createAPerformAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createALoadShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadShapedAgentsAdapter()

  This creates an adapter for a `ALoadShapedAgents`.

  Overrides:
    `createALoadShapedAgentsAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createACreateShapedAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createACreateShapedAgentsAdapter()

  This creates an adapter for a `ACreateShapedAgents`.

  Overrides:
    `createACreateShapedAgentsAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### createALoadAgentsAdapter

    public org.eclipse.emf.common.notify.Adapter createALoadAgentsAdapter()

  This creates an adapter for a `ALoadAgents`.

  Overrides:
    `createALoadAgentsAdapter` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.metaabm.act.util.MetaABMActAdapterFactory`

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD